## org.eclipse.uml2.common.util
Class DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator

    java.lang.Object
      org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
          org.eclipse.uml2.common.util.DerivedEObjectEList.EmptyDerivedListIterator
              org.eclipse.uml2.common.util.DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>

Enclosing class:
  DerivedSubsetEObjectEList<E>

    protected class DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator

extends DerivedEObjectEList.EmptyDerivedListIterator

Field Summary

Fields inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`featureIndex, index, prepared, preparedFeature, preparedValues, valuesIterator`

Constructor Summary
`protected` `DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator()`

Method Summary
`void` `add(java.lang.Object element)`
`void` `remove()`
`void` `set(java.lang.Object element)`

Methods inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.EmptyDerivedListIterator
`hasNext, hasPrevious`

Methods inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`next, nextIndex, prepareNext, preparePrevious, previous, previousIndex, resolve, scanNext, scanPrevious`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator

    protected DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator()

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`
  Specified by:
    `remove` in interface `java.util.ListIterator<E>`
  Overrides:
    `remove` in class `DerivedEObjectEList.DerivedListIterator`

### set

    public void set(java.lang.Object element)

  Specified by:
    `set` in interface `java.util.ListIterator<E>`
  Overrides:
    `set` in class `DerivedEObjectEList.DerivedListIterator`

### add

    public void add(java.lang.Object element)

  Specified by:
    `add` in interface `java.util.ListIterator<E>`
  Overrides:
    `add` in class `DerivedEObjectEList.DerivedListIterator`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.